[DEFINE]
#If ctSSLayer_MusicGetPattern Then
  Private ctSSLayer_MusicGetPatternInt As Long
  #End If
#If ctSSLayer_MusicGetPatterns Then
  Private ctSSLayer_MusicGetPatternsInt As Long
  #End If
#If ctSSLayer_MusicHasFinished Then
  Private ctSSLayer_MusicHasFinishedInt As Long
  #End If
#If ctSSLayer_MusicTime Then
  Private ctSSLayer_MusicTimeInt As Long
  #End If

[CODE]
#If ctSSLayer_MusicGetPattern Then
  Public Function ctSSLayer_MusicGetPattern(ByVal SongPointer As Long) As Long
    ctSSLayer_MusicGetPattern = CallFunction_Fast(ctSSLayer_MusicGetPatternInt, SongPointer)
    End Function
  #End If

#If ctSSLayer_MusicGetPatterns Then
  Public Function ctSSLayer_MusicGetPatterns(ByVal SongPointer As Long) As Long
    ctSSLayer_MusicGetPatterns = CallFunction_Fast(ctSSLayer_MusicGetPatternsInt, SongPointer)
    End Function
  #End If

#If ctSSLayer_MusicHasFinished Then
  Public Function ctSSLayer_MusicHasFinished(ByVal SongPointer As Long) As Long
    ctSSLayer_MusicHasFinished = CallFunction_Fast(ctSSLayer_MusicHasFinishedInt, SongPointer)
    End Function
  #End If

#If ctSSLayer_MusicTime Then
  Public Function ctSSLayer_MusicTime(ByVal SongPointer As Long) As Long
    ctSSLayer_MusicTime = CallFunction_Fast(ctSSLayer_MusicTimeInt, SongPointer)
    End Function
  #End If
